/// <reference types="jest" />
export interface Stubbed<T extends Stubbable> {
    stub: Stub<T>;
    restore(): void;
}
interface Stubbable {
    [key: string]: unknown;
}
declare type Stub<T extends Stubbable> = {
    [key in keyof T]: T[key] extends Function ? T[key] & jest.Mock : T[key];
};
export declare function stubMethods<T extends Stubbable>(obj: T): Stubbed<T>;
export default stubMethods;
